lilypond, python

Bonjour,

Lilypond installe Python2.4 (ça prend 20 Mo sur les 56 Mo de Lilypond).
J'utilise couramment Python2.6. Peut-on se débarasser de Python2.4
par effacement ou faut-il rectifier des références (pointeurs) ?

avec mes remerciements,

rb

···

--
René Bastian
www.pythoneon.org
www.musiques-rb.org
http://www.soundsurvey.org.uk/

PS : comme c'est mon premier message sur cette liste, voilà pourquoi
j'y suis:
- j'ai déjà utilisé PC-Composer & Score (mais il y a longtemps)
- début de ce siècle j'ai utilisé CMN de Schottstaedt - écrit en Lisp
(en réalité, j'ai écrit des programmes Python qui rédigeaient du Lisp
qui compilaient en PS);
- depuis quelque temps j'utilise ConTeXt (au lieu de Latex) qui peut
intégrer des textes .ly - d'où reprise de Lilypond (que j'ai essayé
fin des années 90, mais CMN était alors plus sûr)

- Mon but est de faire un pont entre mon propre projet 'pythoneon'
(notation de la musique pour haut-parleurs) et la notation de la musique instrumentale.

Lilypond installe Python2.4 (ça prend 20 Mo sur les 56 Mo de Lilypond).
J'utilise couramment Python2.6. Peut-on se débarasser de Python2.4
par effacement ou faut-il rectifier des références (pointeurs) ?

LilyPond n'utilise pas Python, seuls des scripts externes tels que
midi2ly, convert-ly ou lilypond-book l'utilisent. Donc supprimer
Python 2.4 n'aura pas d'effet sur LilyPond, et les scripts externes
continueront à marcher si Python est correctement installé ailleurs
sur le système.

PS : comme c'est mon premier message sur cette liste, voilà pourquoi
j'y suis:
- j'ai déjà utilisé PC-Composer & Score (mais il y a longtemps)
- début de ce siècle j'ai utilisé CMN de Schottstaedt - écrit en Lisp
(en réalité, j'ai écrit des programmes Python qui rédigeaient du Lisp
qui compilaient en PS);
- depuis quelque temps j'utilise ConTeXt (au lieu de Latex) qui peut
intégrer des textes .ly - d'où reprise de Lilypond (que j'ai essayé
fin des années 90, mais CMN était alors plus sûr)

Apparemment LaTeX et LilyPond font plutôt bon ménage avec lilypond-book...

- Mon but est de faire un pont entre mon propre projet 'pythoneon'
(notation de la musique pour haut-parleurs) et la notation de la musique instrumentale.

Bon courage ! Il existe déjà de nombreuses tentatives en ce sens, il y
a deux ans j'en avait fait un panorama sur
http://valentin.villenave.net/Faire-de-la-musique-avec-des

Cordialement,
V. Villenave.

···

2010/3/14 R. Bastian <****@****>:

C'est vrai sauf pour midi2ly, qui a besoin d'une bibliothèque spéciale,
mais comme il ne fonctionne pas bien sous Windows c'est un moindre mal.

John

···

Il giorno dom, 14/03/2010 alle 12.48 +0100, Valentin Villenave ha scritto:

LilyPond n'utilise pas Python, seuls des scripts externes tels que
midi2ly, convert-ly ou lilypond-book l'utilisent. Donc supprimer
Python 2.4 n'aura pas d'effet sur LilyPond, et les scripts externes
continueront à marcher si Python est correctement installé ailleurs
sur le système.